Bug 67340 - Update net/bmon
Summary: Update net/bmon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-29 15:20 UTC by nistor
Modified: 2004-05-29 15:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nistor 2004-05-29 15:20:08 UTC
	Possible trivial root vuln.  User dropped me an email with information that port contains popen call without an absolute path.

Fix: Port does not need to be suid root, perms changed to 755.
	Both shar and diff included.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       bmon
#       bmon/Makefile
#       bmon/distinfo
#       bmon/pkg-descr
#
echo c - bmon
mkdir -p bmon > /dev/null 2>&1
echo x - bmon/Makefile
sed 's/^X//' >bmon/Makefile << 'END-of-bmon/Makefile'
X# New ports collection makefile for:   bmon
X# Date created:                        21 Feb 2003
X# Whom:                                Jon Nistor <nistor@snickers.org>
X#
X# $FreeBSD: ports/net/bmon/Makefile,v 1.4 2004/02/06 13:11:57 trevor Exp $
X#
X
XPORTNAME=      bmon
XPORTVERSION=   1.2.1
XPORTREVISION=  1
XCATEGORIES=    net
XMASTER_SITES=  http://trash.net/~reeler/bmon/files/
X
XMAINTAINER=    nistor@snickers.org
XCOMMENT=       "BMON - bandwidth monitor using curses lib"
X
XGNU_CONFIGURE= YES
XUSE_GMAKE=     YES
X
XMAN1=          bmon.1
XPLIST_FILES=   sbin/bmon
X
Xdo-install:
X       ${INSTALL} ${STRIP} ${COPY} ${_BINOWNGRP} -m 755 ${WRKSRC}/bmon ${PREFIX}/bin
X       ${INSTALL_MAN} ${WRKSRC}/bmon.1 ${PREFIX}/man/man1/bmon.1
X
X.include <bsd.port.mk>
END-of-bmon/Makefile
echo x - bmon/distinfo
sed 's/^X//' >bmon/distinfo << 'END-of-bmon/distinfo'
XMD5 (bmon-1.2.1.tar.gz) = 229959798c838ebabc042eedd5c9c427
XSIZE (bmon-1.2.1.tar.gz) = 76188
END-of-bmon/distinfo
echo x - bmon/pkg-descr
sed 's/^X//' >bmon/pkg-descr << 'END-of-bmon/pkg-descr'
Xbmon is an interface bandwidth monitor using the curses library.
XIt's able to compute and draw three types of diagrams (overview,
Xgraphical, and detailed). The overview diagram is a list of all
Xinterfaces including the rx/tx rates of each interface. The
Xgraphical diagram is a bar graph in ASCII. All diagrams are
Xcontinously updated.
X
XWWW: http://trash.net/~reeler/bmon/
END-of-bmon/pkg-descr
exit


DIFF:


do-install:
-       ${INSTALL} ${STRIP} ${COPY} ${_BINOWNGRP} -m 4755 ${WRKSRC}/bmon ${PREFIX}/sbin
+       ${INSTALL} ${STRIP} ${COPY} ${_BINOWNGRP} -m 755 ${WRKSRC}/bmon ${PREFIX}/bin
        ${INSTALL_MAN} ${WRKSRC}/bmon.1 ${PREFIX}/man/man1/bmon.1--hWtsJACGK14zOodXCiIqPXK0ZyJiZRWisKhtv1wfyQ92bejV
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- bmon.orig/Makefile  Sat May 29 09:59:56 2004
+++ bmon/Makefile       Sat May 29 10:00:27 2004
@@ -21,7 +21,7 @@
 PLIST_FILES=   sbin/bmon
How-To-Repeat: 		null
Comment 1 Pav Lucistnik freebsd_committer 2004-05-29 15:24:49 UTC
State Changed
From-To: open->closed

Committed, thanks!